/* Generate MPC for the data and for Aiyagari model */

clear
use vars2010               /* This contains SHIW 2010, cleaned and only households with head not retired 25-55 */


gen cih = rnfinwe+realyde  /* Define cash in hand as total disposable income plus net financial wealth, all real per adult equivalent */
sum cih, detail
scalar med_dy= r(p50)
gen cih_n=cih/med_dy 
* hist cih_n

twoway (scatter riscons2 cih_n if cih_n>0 & cih_n<12 ), yscale(range(0 100)) ylabel(#10) xscale(range(0 12)) xlabel(#12) xtitle(Cash in Hand (ratio to median disposable income)) ytitle(MPC)
graph export mpcraw.pdf, replace

xtile pc_cih=cih_n, nq(20)
collapse riscons2 cih_n, by(pc_cih)

twoway (fpfitci riscons2 cih_n) (scatter riscons2 cih_n), ytitle(MPC) yscale(range(0 100)) ylabel(#10) xscale(range(0 10)) xlabel(#10) xtitle(Cash in Hand (ratio to median disposable income)) legend(off)
graph export mpccollapsed.pdf, replace


twoway (fpfitci riscons2 cih_n) (scatter riscons2 cih_n), ytitle(MPC) yscale(range(0 100)) ylabel(#10) xscale(range(0 10)) xlabel(#10) xtitle(Cash in Hand (ratio to median disposable income)) title(Data) legend(off)
graph save data, replace

clear
import excel mpcmod.xls  /* import data generated by the model */
keep if A<10 /* keep cash in hand below 12 */


gen B0=B*100
xtile pc_A=A, nq(20)
collapse A B0, by(pc_A)

twoway (fpfitci B0 A) (scatter B0 A), ytitle(MPC) yscale(range(0 100)) ylabel(#10) xscale(range(0 10)) xlabel(#10) xtitle(Cash in Hand (ratio to median disposable income)) title(Model) legend(off)
graph save model,replace

graph combine data.gph model.gph

